# Object Queries The Object Query API contains GET operations that allow you to query objects in your Zuora tenant in an efficient, consistent, and flexible manner. With the `expand[]` and `filter[]` query parameters, you have the flexibility to retrieve related object information in a single call and define the returned response that best suits your needs. You can also use the `fields[]` query parameter to define which fields are returned in the response for a given object. The `sort[]` query parameter allows you to sort the results in ascending or descending order based on the specified field. These parameters are case-insensitive matching. For general Object Queries limitations and comprehensive introduction to these query parameters, see [Expand, filter, fields, and sort](https://developer.zuora.com/docs/guides/expand-filter-fields-sort/). For filterable, expandable, and sortable fields on each object, refer to the Query Parameters section for each API operation. ## List accounts - [GET /object-query/accounts](https://developer.zuora.com/v1-api-reference/api/object-queries/queryaccounts.md): Lists accounts. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve an account - [GET /object-query/accounts/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/queryaccountbykey.md): Retrieve the details of a specific Account object. ## List amendments - [GET /object-query/amendments](https://developer.zuora.com/v1-api-reference/api/object-queries/queryamendments.md): Lists amendments. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve an amendment - [GET /object-query/amendments/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/queryamendmentbykey.md): Retrieve the details of a specific Amendment object. ## List bill runs - [GET /object-query/billing-runs](https://developer.zuora.com/v1-api-reference/api/object-queries/querybillingruns.md): Lists bill runs. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a bill run - [GET /object-query/billing-runs/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/querybillingrunbykey.md): Retrieve the details of a specific Bill Run object. ## List contacts - [GET /object-query/contacts](https://developer.zuora.com/v1-api-reference/api/object-queries/querycontacts.md): Lists contacts. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a contact - [GET /object-query/contacts/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/querycontactbykey.md): Retrieve the details of a specific Contact object. ## List credit memos - [GET /object-query/credit-memos](https://developer.zuora.com/v1-api-reference/api/object-queries/querycreditmemos.md): Lists credit memos. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a credit memo - [GET /object-query/credit-memos/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/querycreditmemobykey.md): Retrieve the details of a specific Credit Memo object. ## List credit memo applications - [GET /object-query/credit-memo-applications](https://developer.zuora.com/v1-api-reference/api/object-queries/querycreditmemoapplications.md): Lists credit memo applications. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a credit memo application - [GET /object-query/credit-memo-applications/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/querycreditmemoapplicationbykey.md): Retrieve the details of a specific Credit Memo Application object. ## List credit memo items - [GET /object-query/credit-memo-items](https://developer.zuora.com/v1-api-reference/api/object-queries/querycreditmemoitems.md): Lists credit memo items. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a credit memo item - [GET /object-query/credit-memo-items/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/querycreditmemoitembykey.md): Retrieve the details of a specific Credit Memo Item object. ## List daily consumption summaries - [GET /object-query/daily-consumption-summaries](https://developer.zuora.com/v1-api-reference/api/object-queries/querydailyconsumptionsummaries.md): Lists daily consumption summaries. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a daily consumption summary - [GET /object-query/daily-consumption-summaries/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/querydailyconsumptionsummarybykey.md): Retrieve the details of a specific Daily Consumption Summary object. ## List debit memos - [GET /object-query/debit-memos](https://developer.zuora.com/v1-api-reference/api/object-queries/querydebitmemos.md): Lists debit memos. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a debit memo - [GET /object-query/debit-memos/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/querydebitmemobykey.md): Retrieve the details of a specific Debit Memo object. ## List debit memo items - [GET /object-query/debit-memo-items](https://developer.zuora.com/v1-api-reference/api/object-queries/querydebitmemoitems.md): Lists debit memo items. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a debit memo item - [GET /object-query/debit-memo-items/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/querydebitmemoitembykey.md): Retrieve the details of a specific Debit Memo Item object. ## List delivery adjustments - [GET /object-query/delivery-adjustments](https://developer.zuora.com/v1-api-reference/api/object-queries/querydeliveryadjustments.md): Lists Delivery Adjustment objects. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a delivery adjustment - [GET /object-query/delivery-adjustments/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/querydeliveryadjustmentbykey.md): Retrieves a Delivery Adjustment object. You can use the query parameters to filter, expand, and sort the returned results. ## List fulfillments - [GET /object-query/fulfillments](https://developer.zuora.com/v1-api-reference/api/object-queries/queryfulfillments.md): Lists Fulfillment objects. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a fulfillment - [GET /object-query/fulfillments/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/queryfulfillmentbykey.md): Retrieves a Fulfillment object. You can use the query parameters to filter, expand, and sort the returned results. ## List invoices - [GET /object-query/invoices](https://developer.zuora.com/v1-api-reference/api/object-queries/queryinvoices.md): Lists invoices. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve an invoice - [GET /object-query/invoices/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/queryinvoicebykey.md): Retrieve the details of a specific Invoice object. ## List invoice items - [GET /object-query/invoice-items](https://developer.zuora.com/v1-api-reference/api/object-queries/queryinvoiceitems.md): Lists invoice items. You can use the query parameters to filter, expand, and sort the returned results. Note: You must specify a filter[] query parameter to query invoice items. ## Retrieve an invoice item - [GET /object-query/invoice-items/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/queryinvoiceitembykey.md): Retrieve the details of a specific Invoice Item object. ## List invoice schedules - [GET /object-query/invoice-schedules](https://developer.zuora.com/v1-api-reference/api/object-queries/queryinvoiceschedules.md): Lists invoice schedules. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve an invoice schedule - [GET /object-query/invoice-schedules/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/queryinvoiceschedulebykey.md): Retrieves the details of a specific Invoice Schedule object. ## List order actions - [GET /object-query/order-actions](https://developer.zuora.com/v1-api-reference/api/object-queries/queryorderactions.md): Lists order actions. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve an order action - [GET /object-query/order-actions/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/queryorderactionbykey.md): Retrieve the details of a specific Order Action object. ## List order line items - [GET /object-query/order-line-items](https://developer.zuora.com/v1-api-reference/api/object-queries/queryorderlineitems.md): Lists order line items. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve an order line item - [GET /object-query/order-line-items/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/queryorderlineitembykey.md): Retrieve the details of a specific Order Line Item object. ## List orders - [GET /object-query/orders](https://developer.zuora.com/v1-api-reference/api/object-queries/queryorders.md): Lists orders. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve an order - [GET /object-query/orders/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/queryordersbykey.md): Retrieve the details of a specific Order object. ## List payments - [GET /object-query/payments](https://developer.zuora.com/v1-api-reference/api/object-queries/querypayments.md): Lists payments. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a payment - [GET /object-query/payments/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/querypaymentbykey.md): Retrieve the details of a specific Payment object. ## List payment applications - [GET /object-query/payment-applications](https://developer.zuora.com/v1-api-reference/api/object-queries/querypaymentapplications.md): Lists payment applications. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a payment application - [GET /object-query/payment-applications/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/querypaymentapplicationbykey.md): Retrieve the details of a specific Payment Application object. ## List payment methods - [GET /object-query/payment-methods](https://developer.zuora.com/v1-api-reference/api/object-queries/querypaymentmethods.md): Lists payment methods. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a payment method - [GET /object-query/payment-methods/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/querypaymentmethodbykey.md): Retrieve the details of a specific Payment Method object. ## List payment method snapshots - [GET /object-query/payment-method-snapshots](https://developer.zuora.com/v1-api-reference/api/object-queries/querypaymentmethodsnapshots.md): Lists payment method snapshots. You can use the query parameters to filter, expand, and sort the returned results. Note: You must specify a filter[] query parameter to query payment method snapshots. ## Retrieve a payment method snapshot - [GET /object-query/payment-method-snapshots/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/querypaymentmethodsnapshotbykey.md): Retrieve the details of a specific Payment Method Snapshot object. ## List payment runs - [GET /object-query/payment-runs](https://developer.zuora.com/v1-api-reference/api/object-queries/querypaymentruns.md): Lists payment runs. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a payment run - [GET /object-query/payment-runs/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/querypaymentrunbykey.md): Retrieve the details of a specific Payment Run object. ## List payment schedules - [GET /object-query/payment-schedules](https://developer.zuora.com/v1-api-reference/api/object-queries/querypaymentschedules.md): Lists payment schedules. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a payment schedule - [GET /object-query/payment-schedules/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/querypaymentschedulebykey.md): Retrieve the details of a specific Payment Schedule object. ## List payment schedule items - [GET /object-query/payment-schedule-items](https://developer.zuora.com/v1-api-reference/api/object-queries/querypaymentscheduleitems.md): Lists Payment Schedule Item objects. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a payment schedule item - [GET /object-query/payment-schedule-items/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/querypaymentscheduleitembykey.md): Retrieve the details of a specific Payment Schedule Item object. ## List prepaid balances - [GET /object-query/prepaid-balances](https://developer.zuora.com/v1-api-reference/api/object-queries/queryprepaidbalances.md): Lists Prepaid Balance objects. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a prepaid balance - [GET /object-query/prepaid-balances/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/queryprepaidbalancebykey.md): Retrieve the details of a specific Prepaid Balance object. ## List prepaid balance funds - [GET /object-query/prepaid-balance-funds](https://developer.zuora.com/v1-api-reference/api/object-queries/queryprepaidbalancefunds.md): Lists prepaid balance funds. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a prepaid balance fund - [GET /object-query/prepaid-balance-funds/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/queryprepaidbalancefundbykey.md): Retrieve the details of a specific Prepaid Balance Fund object. ## List prepaid balance transactions - [GET /object-query/prepaid-balance-transactions](https://developer.zuora.com/v1-api-reference/api/object-queries/queryprepaidbalancetransactions.md): Lists prepaid balance transactions. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a prepaid balance transaction - [GET /object-query/prepaid-balance-transactions/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/queryprepaidbalancetransactionbykey.md): Retrieve the details of a Prepaid Balance Transaction object. ## List processed usage records - [GET /object-query/processed-usages](https://developer.zuora.com/v1-api-reference/api/object-queries/queryprocessedusages.md): Lists Processed Usage Record objects. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a processed usage record - [GET /object-query/processed-usages/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/queryprocessedusagebykey.md): Retrieve the details of a specific Processed Usage Record object. ## List products - [GET /object-query/products](https://developer.zuora.com/v1-api-reference/api/object-queries/queryproducts.md): Lists Product objects. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a product - [GET /object-query/products/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/queryproductbykey.md): Retrieve the details of a specific Product object. ## List product rate plans - [GET /object-query/product-rate-plans](https://developer.zuora.com/v1-api-reference/api/object-queries/queryproductrateplans.md): Lists Product Rate Plan objects. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a product rate plan - [GET /object-query/product-rate-plans/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/queryproductrateplanbykey.md): Retrieve the details of a specific Product Rate Plan object. ## List product rate plan charges - [GET /object-query/product-rate-plan-charges](https://developer.zuora.com/v1-api-reference/api/object-queries/queryproductrateplancharges.md): Lists Product Rate Plan Charge objects. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a product rate plan charge - [GET /object-query/product-rate-plan-charges/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/queryproductrateplanchargebykey.md): Retrieve the details of a specific Product Rate Plan Charge object. ## List product rate plan charge tiers - [GET /object-query/product-rate-plan-charge-tiers](https://developer.zuora.com/v1-api-reference/api/object-queries/queryproductrateplanchargetiers.md): Lists Product Rate Plan Charge Tier objects. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a product rate plan charge tier - [GET /object-query/product-rate-plan-charge-tiers/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/queryproductrateplanchargetierbykey.md): Retrieve the details of a specific Product Rate Plan Charge Tier object. ## List ramps - [GET /object-query/ramps](https://developer.zuora.com/v1-api-reference/api/object-queries/queryramps.md): Lists Ramp objects. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a ramp - [GET /object-query/ramps/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/queryrampbykey.md): Retrieve a Ramp object. You can use the query parameters to filter, expand, and sort the returned results. ## List rate plans - [GET /object-query/rate-plans](https://developer.zuora.com/v1-api-reference/api/object-queries/queryrateplans.md): Lists Rate Plan objects. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a rate plan - [GET /object-query/rate-plans/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/queryrateplanbykey.md): Retrieve the details of a specific Rate Plan object. ## List rate plan charges - [GET /object-query/rate-plan-charges](https://developer.zuora.com/v1-api-reference/api/object-queries/queryrateplancharges.md): Lists Rate Plan Charge objects. You can use the query parameters to filter, expand, and sort the returned results. Note: You must specify a filter[] query parameter to query rate plan charges. ## Retrieve a rate plan charge - [GET /object-query/rate-plan-charges/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/queryrateplanchargebykey.md): Retrieve the details of a specific Rate Plan Charge object. ## List rate plan charge tiers - [GET /object-query/rate-plan-charge-tiers](https://developer.zuora.com/v1-api-reference/api/object-queries/queryrateplanchargetiers.md): Lists Rate Plan Charge Tier objects. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a rate plan charge tier - [GET /object-query/rate-plan-charge-tiers/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/queryrateplanchargetierbykey.md): Retrieve the details of a specific Rate Plan Charge Tier object. ## List rating results - [GET /object-query/rating-results](https://developer.zuora.com/v1-api-reference/api/object-queries/queryratingresults.md): Lists Rating Result objects. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a rating result - [GET /object-query/rating-results/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/queryratingresultbykey.md): Retrieve the details of a specific Rating Result object. ## List refunds - [GET /object-query/refunds](https://developer.zuora.com/v1-api-reference/api/object-queries/queryrefunds.md): Lists Refund objects. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a refund - [GET /object-query/refunds/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/queryrefundbykey.md): Retrieve the details of a specific Refund object. ## List refund applications - [GET /object-query/refund-applications](https://developer.zuora.com/v1-api-reference/api/object-queries/queryrefundapplications.md): Lists Refund Application objects. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a refund application - [GET /object-query/refund-applications/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/queryrefundapplicationbykey.md): Retrieve the details of a specific Refund Application object. ## List refund application items - [GET /object-query/refund-application-items](https://developer.zuora.com/v1-api-reference/api/object-queries/queryrefundapplicationitems.md): Lists Refund Application Item objects. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a refund application item - [GET /object-query/refund-application-items/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/queryrefundapplicationitembykey.md): Retrieve the details of a specific Refund Application Item object. ## List summary statement runs - [GET /object-query/summarystatementruns](https://developer.zuora.com/v1-api-reference/api/object-queries/getsummarystatementruns.md): Lists statement runs. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a summary statement run - [GET /object-query/summarystatementruns/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/getsummarystatementrun.md): Retrieves a statement run by using the statement run ID or number. ## List summary statements - [GET /object-query/summarystatements](https://developer.zuora.com/v1-api-reference/api/object-queries/getsummarystatements.md): Lists summary statements. ## Retrieve a summary statement - [GET /object-query/summarystatements/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/getsummarystatement.md): Retrieves a statement based on the specified summary statement key. ## List subscriptions - [GET /object-query/subscriptions](https://developer.zuora.com/v1-api-reference/api/object-queries/querysubscriptions.md): Lists Subscription objects. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a subscription - [GET /object-query/subscriptions/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/querysubscriptionbykey.md): Retrieve the details of a specific Subscription object. ## List taxation items - [GET /object-query/taxation-items](https://developer.zuora.com/v1-api-reference/api/object-queries/querytaxationitems.md): Lists Taxation Item objects. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a taxation item - [GET /object-query/taxation-items/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/querytaxationitembykey.md): Retrieve the details of a specific Taxation Item object. ## List usage records - [GET /object-query/usages](https://developer.zuora.com/v1-api-reference/api/object-queries/queryusages.md): Lists Usage Record objects. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a usage record - [GET /object-query/usages/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/queryusagebykey.md): Retrieve the details of a specific Usage Record object. ## List validity period summaries - [GET /object-query/validity-period-summaries](https://developer.zuora.com/v1-api-reference/api/object-queries/queryvalidityperiodsummarys.md): Lists Validity Period Summary objects. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a validity period summary - [GET /object-query/validity-period-summaries/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/queryvalidityperiodsummarybykey.md): Retrieve the details of a specific Validity Period Summary object. ## List custom object records - [GET /object-query/{custom-object-name}](https://developer.zuora.com/v1-api-reference/api/object-queries/querycustomobjects.md): Lists custom object records. You can use the query parameters to filter, expand, and sort the returned results. The name of a custom object is in the {namespace}__{objectname}s format, for example, default__cars. Note: Sorting queried custom objects by ID is not supported. ## Retrieve a custom object record - [GET /object-query/{custom-object-name}/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/querycustomobjectbykey.md): Retrieve the details of a specific custom object record. The name of a custom object is in the {namespace}__{objectname}s format, for example, default__cars. ## List contact snapshots - [GET /object-query/contact-snapshots](https://developer.zuora.com/v1-api-reference/api/object-queries/querycontactsnapshots.md): Lists contact snapshots. You can use the query parameters to filter, expand, and sort the returned results. ## Retrieve a contact snapshot - [GET /object-query/contact-snapshots/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/querycontactsnapshotbykey.md): Retrieves detailed information about a specific contact snapshot by its unique ID. ## List rating details - [GET /object-query/rating-details](https://developer.zuora.com/v1-api-reference/api/object-queries/queryratingdetails.md): Lists rating details. Use query parameters to paginate and filter results. ## Retrieve a rating detail - [GET /object-query/rating-details/{key}](https://developer.zuora.com/v1-api-reference/api/object-queries/queryratingdetailbykey.md): Retrieves a single rating detail by ID.